#
# crash core analysis suite
#
Summary: ptdump extension module for the crash utility
Name: crash-ptdump-command
Version: 1.0.7
Release: 2%{?dist}
License: GPLv2
Group: Development/Debuggers
Source: https://github.com/crash-utility/crash-extensions/blob/master/ptdump-%{version}.tar.gz
URL: https://crash-utility.github.io/extensions.html
ExclusiveOS: Linux
ExclusiveArch: x86_64
Buildroot: %{_tmppath}/%{name}-root
BuildRequires: crash-devel >= 5.1.5
Requires: crash >= 5.1.5
Patch0: rhel8_build.patch
Patch1: 0001-Fix-for-the-topa_entry-issue.patch
Patch2: 0002-Fix-for-the-invalid-ring_buffer-issue.patch
Patch3: 0003-Do-not-dump-on-the-Single-Range-Output-mode.patch

%description
Retrieve and decode the log buffer generated by the Intel(R) Processor
Trace facility

%prep
%setup -q -n ptdump-%{version}
%patch0 -p1 -b rhel8_build.patch
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
make -f ptdump.mk

%install
rm -Rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}%{_libdir}/crash/extensions/
cp %{_builddir}/ptdump-%{version}/ptdump.so %{buildroot}%{_libdir}/crash/extensions/

%clean
rm -rf %{buildroot}
rm -Rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/crash/extensions/ptdump.so
%doc COPYING

%changelog
* Thu Jul 14 2022 Lianbo Jiang <lijiang@redhat.com> - 1.0.7-2
- Fix for "current buffer not found"
- Fix for "invalid kernel virtual address: 0  type: struct topa_entry"
- Fix for "invalid ring_buffer"
  Resolves: rhbz#1838927

* Wed Jul 8 2020 Bhupesh Sharma <bhsharma@redhat.com> - 1.0.7-1
- ptdump: Rebase to upstream extension version ptdump-1.0.7 (github)
  Resolves: rhbz#1851749

* Wed Jan 29 2020 Dave Anderson <anderson@redhat.com> - 1.0.3-5
- ptdump: fix build warning: warning: this ‘if’ clause does not guard
- ptdump: fix failure: ptdump: invalid size request: 0 type: "read page for write" 
- ptdump: fix heap memory and fd leak when fault happens
  Resolves: rhbz#1786497

* Wed Sep 19 2018 Dave Anderson <anderson@redhat.com> - 1.0.3-4
- Address annocheck link issue
  Resolves: rhbz#1630557

* Mon Aug 13 2018 Dave Anderson <anderson@redhat.com> - 1.0.3-3
- Bump release for mass rebuild
  Resolves: rhbz#1615510

* Wed May 31 2017 Dave Anderson <anderson@redhat.com> - 1.0.3-2.el7
- Add RPM_OPT_FLAGS to gcc line in ptdump.mk
  Resolves: rhbz#1450708
- Set gdb scope to get appropriate ring_buffer structure
  Resolves: rhbz#1451181

* Tue Mar 15 2016 Dave Anderson <anderson@redhat.com> - 1.0.3-1.el7
- Fix for coverity scan issues generated by 1.0.2
  Resolves: rhbz#1298172

* Mon Mar 14 2016 Dave Anderson <anderson@redhat.com> - 1.0.2-1.el7
- Memory leak fix and coverity scan fixes.
  Resolves: rhbz#1298172

* Mon Feb 29 2016 Dave Anderson <anderson@redhat.com> - 1.0.1-1.el7
- Initial check-in.
  Resolves: rhbz#1298172

* Tue Jan 26 2016 MUNEDA Takahiro <muneda.takahiro@jp.fujitsu.com> - 1.0.1-1
- Initial crash-ptdump-command package
